$(function() {
	if ($("#claimSubState").val() == 03) {
		$(".video").attr("onclick", "");
		$(".video").attr("style", " color:#ccc");
	}
});

function clmInsureQuery() {
	var flage = $("#flage").val();
	if (flage == '') {
		SkipByPost("clmInsureQuery.do", {
			claimNo : $("#claimNo").val(),
			pid : $("#pid").val(),
			isSendFlag : $("#isSendFlag").val()
		});

	} else if (flage == '2') {
		SkipByPost("queryPayInfo.do", {
			claimNo : $("#claimNo").val(),
			"isSendFlag" : $("#isSendFlag").val()
		});

	} else if (flage == '3') {
		SkipByPost("queryAccidentInfo.do", {
			claimNo : $("#claimNo").val(),
			"isSendFlag" : $("#isSendFlag").val()
		});
	}
}

function savepayInfo() {
	$.ajax({
		type : "POST",
		url : "saveFallbackInfo.do",
		data : {
			"context" : $("#context").val(),
			"claimNo" : $("#claimNo").val()
		},
		error : function() {
			alert("服务器异常");
		},
		success : function() {
			alert("保存成功");
		}
	});
}

function video() {
	if ($("#context").val() == "") {
		alert("回退原因不能为空");
		return false;
	} 
//	if($("#phoneNo").val()==null || $("#phoneNo").val()=="" ||$("#phoneNo").val()==undefined){
//		alert("报案人手机号不存在！通知短信无法送达！");
//		return;
//	}
//	SkipByPost("applyInfo.do", {
//		claimNo : $("#claimNo").val(),	"context" : $("#context").val(),"phoneNo" : $("#phoneNo").val(),
//		"pid" : $("#personPid").val(),
//		"personName" : $("#personName").val(),
//	});
	
	$.ajax({
		cache : true,
		type : "POST",
		url : "applyInfo.do",
		data : {"claimNo":$("#claimNo").val(),	"context" : $("#context").val(),"phoneNo" : $("#phoneNo").val(),"pid" : $("#personPid").val(),"personName" : $("#personName").val()},
		async : false,
		error : function(request) {
			alert("失败");
		},
		success : function(data) {
			
			if(data.message == "success"){
				alert("该赔案已作为问题件流转至理赔APP端!");
				window.location.href="query.do";
			}
			
		}
	});
	
}

//	赔案号，申请人pid,name,电话号码
/*	$.ajax({
		cache : true,
		type : "POST",
		url : "sendAppRecodeSms.do",
		data : {"claimNo" : $("#claimNo").val(),"phoneNo" : $("#phoneNo").val(),"pid":$("#personPid").val(),"personName":$("#personName").val()},
		async : false,
		error : function(request) {
			alert("发送短信失败！");
		},
		success : function(data) {
			if(data){
				alert("发送短信成功！");
			}else{
				alert("发送短信失败！");
			}
		}
	});*/
	
//	SkipByPost("query.do", {
//		claimNo : $("#claimNo").val(),	"context" : $("#context").val(),
//	});
